package com.abstractsense.paddlefriendly.business;

/**
 * Grups.
 * Josep Sanromà
 * 26/11/2016
 */

import java.util.List;


public class Group {

    private int groupId;
    private String name;
    private String description;
    private List<Player> players;

    public Group (int groupId, String name, String description, List<Player> players) {
        this.groupId = groupId;
        this.name = name;
        this.description = description;
        this.players = players;
    }

    public int getGroupId() {
        return groupId;
    }

    public void setGroupId(int groupId) {
        this.groupId = groupId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<Player> getPlayers() {
        return players;
    }

    public void setPlayers(List<Player> players) {
        this.players = players;
    }

    @Override
    public String toString() {
        return name;
    }

}
