package com.abstractsense.paddlefriendly.business;

/**
 * Jugadors de pàdel.
 * Josep Sanromà
 * 11/12/2016
 */

public class Player {

    private String usua;
    private String pass;
    private String noms;
    private String cogs;
    private String sexe;
    private String perm;
    private int nivell;

    public Player(String usua, String pass, String noms, String cogs, String sexe, String perm, int nivell) {
        this.usua = usua;
        this.pass = pass;
        this.noms = noms;
        this.cogs = cogs;
        this.sexe = sexe;
        this.perm = perm;
        this.nivell = nivell;
    }

    public String getUsua() {
        return usua;
    }

    public void setUsua(String usua) {
        this.usua = usua;
    }

    public String getPass() {
        return pass;
    }

    public void setPass(String pass) {
        this.pass = pass;
    }

    public String getNoms() {
        return noms;
    }

    public void setNoms(String noms) {
        this.noms = noms;
    }

    public String getCogs() {
        return cogs;
    }

    public void setCogs(String cogs) {
        this.cogs = cogs;
    }

    public String getSexe() {
        return sexe;
    }

    public void setSexe(String sexe) {
        this.sexe = sexe;
    }

    public String getPerm() {
        return perm;
    }

    public void setPerm(String perm) {
        this.perm = perm;
    }

    public int getNivell() {
        return nivell;
    }

    public void setNivell(int nivell) {
        this.nivell = nivell;
    }

    public String getNomCognoms() {
            return noms + " " + cogs;
    }

    public String toString() {
        return usua + " - " + getNomCognoms();
    }
}
