package com.abstractsense.paddlefriendly.presentation;

import android.content.Intent;
import android.os.Handler;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import com.abstractsense.paddlefriendly.R;
import com.abstractsense.paddlefriendly.business.Player;
import com.abstractsense.paddlefriendly.data.Database;
import static com.abstractsense.paddlefriendly.data.Constants.*;

public class IntroActivity extends AppCompatActivity {

    private ImageView imgLogo;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_intro);

        // Auto-start next activiti after waiting some time.
        final Handler myHandler = new Handler();
        final Runnable myRunnable = new Runnable() {
            @Override
            public void run() {
                startActivity(new Intent(IntroActivity.this, LoginActivity.class));
                finish();
            }
        };
        myHandler.postDelayed(myRunnable,SPLASH_TIMEOUT);

        // Logo image.
        imgLogo = (ImageView) findViewById(R.id.logo);
        //imgLogo.setClickable(true);
        imgLogo.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                myHandler.removeCallbacks(myRunnable);
                startActivity(new Intent(IntroActivity.this, LoginActivity.class));
                finish();
            }
        });

    }

}
