package com.abstractsense.paddlefriendly.business;

/**
 * Puntuació Partits de pàdel.
 * Josep Sanromà
 * 02/12/2016
 */

public class GameScore {

    private int set1A;
    private int set1B;
    private int set2A;
    private int set2B;
    private int set3A;
    private int set3B;
    private int winner;

    public GameScore() {
        this.set1A = 0;
        this.set1B = 0;
        this.set2A = 0;
        this.set2B = 0;
        this.set3A = 0;
        this.set3B = 0;
        setMatchWinner();
    }

    public GameScore(int set1A, int set1B, int set2A, int set2B, int set3A, int set3B) {
        this.set1A = set1A;
        this.set1B = set1B;
        this.set2A = set2A;
        this.set2B = set2B;
        this.set3A = set3A;
        this.set3B = set3B;
        setMatchWinner();
    }

    /* Getters and setters. */
    public int getSet1A() {
        return set1A;
    }

    public void setSet1A(int set1A) {
        this.set1A = set1A;
        setMatchWinner();
    }

    public int getSet1B() {
        return set1B;
    }

    public void setSet1B(int set1B) {
        this.set1B = set1B;
        setMatchWinner();
    }

    public int getSet2A() {
        return set2A;
    }

    public void setSet2A(int set2A) {
        this.set2A = set2A;
        setMatchWinner();
    }

    public int getSet2B() {
        return set2B;
    }

    public void setSet2B(int set2B) {
        this.set2B = set2B;
        setMatchWinner();
    }

    public int getSet3A() {
        return set3A;
    }

    public void setSet3A(int set3A) {
        this.set3A = set3A;
        setMatchWinner();
    }

    public int getSet3B() {
        return set3B;
    }

    public void setSet3B(int set3B) {
        this.set3B = set3B;
        setMatchWinner();
    }

    public int getWinner() {
        return winner;
    }

    public void setScore(int set1A, int set1B, int set2A, int set2B, int set3A, int set3B) {
        this.set1A = set1A;
        this.set1B = set1B;
        this.set2A = set2A;
        this.set2B = set2B;
        this.set3A = set3A;
        this.set3B = set3B;
        setMatchWinner();
    }

    /* Calcula l'equip guanyador. */
    private void setMatchWinner() {
        int winner = 0;
        winner += setSetWinner(getSet1A(), getSet1B());
        winner += setSetWinner(getSet1A(), getSet1B());
        winner += setSetWinner(getSet1A(), getSet1B());
        this.winner = winner;
    }

    private int setSetWinner(int scoreA, int scoreB) {
        return scoreA > scoreB ? -1 : scoreA < scoreB ? -1 : 0;
    }

     public String toString() {
        return Integer.toString(set1A+'-'+set1B+' '+set2A+'-'+set2B+' '+set3A+'-'+set3B);
    }

}
